summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Dimitris Zlatanidis2014-02-12 15:21:33 +0100
committer Willy Sudiarto Raharjo2014-02-12 15:21:33 +0100
commitf761d0ced5e1ccd32fcf30e1a113b16be8865367 (patch)
tree18114a07f11dfb51ed8a41c4e0aa15f56d3a4da9
parent3bf6a3b7615cf114d70b859f8d89922602323fb6 (diff)
downloadslackbuilds-f761d0ced5e1ccd32fcf30e1a113b16be8865367.tar.gz
graphics/advancecomp: Added (collection of recompression utilities).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--graphics/advancecomp/README10
-rw-r--r--graphics/advancecomp/advancecomp.SlackBuild98
-rw-r--r--graphics/advancecomp/advancecomp.info10
-rw-r--r--graphics/advancecomp/slack-desc19
4 files changed, 137 insertions, 0 deletions
diff --git a/graphics/advancecomp/README b/graphics/advancecomp/README
new file mode 100644
index 0000000000..970a80ec09
--- /dev/null
+++ b/graphics/advancecomp/README
@@ -0,0 +1,10 @@
+AdvanceCOMP is a collection of recompression utilities for your .ZIP
+archives, .PNG snapshots, .MNG video clips and .GZ files.
+
+It's mainly intended for recompressing your rom, snapshot and clip
+collection of emulated games.
+
+The main features are :
+
+Recompress ZIP, GZ, PNG and MNG files using the Deflate 7-Zip implementation.
+Recompress MNG files using Delta and Move optimization.
diff --git a/graphics/advancecomp/advancecomp.SlackBuild b/graphics/advancecomp/advancecomp.SlackBuild
new file mode 100644
index 0000000000..c375f125a9
--- /dev/null
+++ b/graphics/advancecomp/advancecomp.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for advancecomp
+
+# Copyright 2014 Dimitris Zlatanidis Greece-Orestiada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=advancecomp
+VERSION=${VERSION:-1.18}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING HISTORY README doc/*.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/advancecomp/advancecomp.info b/graphics/advancecomp/advancecomp.info
new file mode 100644
index 0000000000..b9466d62c4
--- /dev/null
+++ b/graphics/advancecomp/advancecomp.info
@@ -0,0 +1,10 @@
+PRGNAM="advancecomp"
+VERSION="1.18"
+HOMEPAGE="http://advancemame.sourceforge.net/comp-readme.html"
+DOWNLOAD="http://prdownloads.sourceforge.net/advancemame/advancecomp-1.18.tar.gz"
+MD5SUM="0610cbcdc293ccc5f32d5f82aa6995e4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="d.zlatanidis@gmail.com"
diff --git a/graphics/advancecomp/slack-desc b/graphics/advancecomp/slack-desc
new file mode 100644
index 0000000000..0475f17f5b
--- /dev/null
+++ b/graphics/advancecomp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+advancecomp: advancecomp (collection of recompression utilities)
+advancecomp:
+advancecomp: advancecom is a collection of recompression utilities for your .ZIP
+advancecomp: archives, PNG snapshots, .MNG video clips and .GZ files.
+advancecomp:
+advancecomp: Homepage: http://advancemame.sourceforge.net/comp-readme.html
+advancecomp:
+advancecomp:
+advancecomp:
+advancecomp:
+advancecomp: